Skip to content

Update business directors

Request

Overrides directors in the business profile.

Returns the list of all directors associated with the business profile.

Security
UserToken
Path
profileIdinteger, (int64)required

Business profile ID.

Headers
X-External-Correlation-Idstring, (uuid), <= 36 characters

Optional UUID for correlating requests across systems. If provided, Wise echoes it back in the response. Maximum 36 characters. Learn more.

Example:f47ac10b-58cc-4372-a567-0e02b2c3d479
Bodyapplication/json
Array [
firstNamestring

Director first name.

Example:"John"
lastNamestring

Director last name.

Example:"Doe"
dateOfBirthstring

Date of birth.

Example:"1982-05-20"
countryOfResidenceIso3Codestring

3 character country code.

Example:"usa"
]
curl -i -X PUT \
  'https://api.wise.com/2026Q3/profiles/{profileId}/directors' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -H 'X-External-Correlation-Id: f47ac10b-58cc-4372-a567-0e02b2c3d479' \
  -d '[
    {
      "firstName": "John",
      "lastName": "Doe",
      "dateOfBirth": "1982-05-20",
      "countryOfResidenceIso3Code": "usa"
    },
    {
      "firstName": "Jane",
      "lastName": "Doe",
      "dateOfBirth": "1981-12-07",
      "countryOfResidenceIso3Code": "usa"
    }
  ]'

Responses

List of all directors associated with the business profile.

Headers
X-External-Correlation-Idstring, (uuid), <= 36 characters

Echoed back when X-External-Correlation-Id was included in the request. Learn more.

Example:"f47ac10b-58cc-4372-a567-0e02b2c3d479"
x-trace-idstring

Unique trace identifier assigned by Wise. Useful when contacting support about a specific request.

Example:"fba501b6d453b96789f52338f019341f"
Bodyapplication/json
Array [
idinteger, (int64)

ID of the director. Automatically set.

Example:10
firstNamestring

Director first name.

Example:"John"
lastNamestring

Director last name.

Example:"Doe"
dateOfBirthstring

Date of birth.

Example:"1982-05-20"
countryOfResidenceIso3Codestring

3 character country code.

Example:"usa"
]
Response
[ { "id": 14, "firstName": "John", "lastName": "Doe", "dateOfBirth": "1982-05-20", "countryOfResidenceIso3Code": "usa" }, { "id": 15, "firstName": "Jane", "lastName": "Doe", "dateOfBirth": "1981-12-07", "countryOfResidenceIso3Code": "usa" } ]